package graph;

import java.util.ArrayList;

public class Node {
    private final String name;
    private ArrayList<Edge> out = new ArrayList<>();
    private boolean marked;
    
    public Node(String name) {
        this.name = name;
    }

    public String getName() {
        return name;
    }

    public ArrayList<Edge> getOut() {
        return out;
    }

    public boolean getMarked() {
        return marked;
    }

    public void setMarked(boolean n) {
        marked = n;
    }

    public void addEdge(Edge e) {
        if (out.contains(e)) {
            throw new IllegalArgumentException();
        }
        out.add(e);
    }

    @Override
    public String toString() {
        return name + ": " + out;
    }

    
}

